
QGIS Application - Bug report #4709

If a raster band is set to "no set", then the raster become transparent

2011-12-28 08:42 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14593

Description

in a multi-band raster. Tested on qgis-mster.

History

#1 - 2012-01-26 10:40 AM - Alexander Bruy

Looked at several old QGIS versions (1.5, 1.3 and 1.1) and all of them have same behavior. Don't know how 3-band raster can be displayed when only 2

bands supplied. Maybe, draw one band twice, e.g. RED = Band 1, GREEN = Band 2 and BLUE = Band 2?

#2 - 2012-01-27 06:34 AM - Giovanni Manghi

Then I would say to don't allow unselect a band. Your solution seems good to me.

#3 - 2012-04-09 03:40 PM - Giuseppe Sucameli

- Priority changed from 6 to Normal

Giovanni Manghi wrote:

Then I would say to don't allow unselect a band

Why should anybody unset a band? Any reason?

#4 - 2012-04-10 02:28 AM - Giovanni Manghi

Why should anybody unset a band? Any reason?

maybe it does not make sense, but if it is possible to do that (unselecting a band) then someone will do, and if the result is "wrong" or can puzzle the user,

then better not allow it at all. Just my 2c.

#5 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
#6 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-05 01:06 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

It seems fixed in master.
